{{#if this.canSelectAll}}
  <div class="selectable-list-selection-tools">
    <div class="form-check">
      <Input class="form-check-input chk-select-all" @type="checkbox" @checked={{this.allSelected}}
        id="select-all-records" />

      <label class="form-check-label" for="select-all-records">
        {{t "select all"}}
      </label>
    </div>
  </div>
{{/if}}

{{#each this.listValue as |list|}}
  <h4 class="mt-3 ms-2">
    {{list.category}}
  </h4>

  <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4 mb-5">
    {{#each list.records as |record|}}
      {{#unless record.isDeleted}}
        {{yield record this.selection this.onSelect}}
      {{/unless}}
    {{/each}}
  </div>
{{/each}}

{{#each-in this.hashValue as |groupName list|}}
  <h4 class="mt-3 ms-2">
    {{groupName}}
  </h4>

  <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4 mb-5">
    {{#each list as |record|}}
      {{#unless record.isDeleted}}
        {{yield record this.selection this.onSelect}}
      {{/unless}}
    {{/each}}
  </div>
{{/each-in}}

{{#if this.selection}}
  <Manage::ActionsSelected @actions={{this.actions}} @selected={{this.selection}} @onAction={{this.action}}
    @onDelete={{this.delete}} class="w-100" />
{{/if}}